Update Sensor Flow Feature Config

Update Sensor Flow Feature Config
Update the appliance flow collection configuration

Update the appliance flow collection feature configuration. This operation can be called to bulk update the sensors to enable or disable flow collection. The operation will either update all or none of the sensors.

Request
URI
POST
https://{api_host}/sensors/feature-config/flow-events
COPY
Query Parameters
string
action
Required  

Action to enable or disable flow collection. Valid values are 'enable' and 'disable'.

action example
enable

Request Body

Feature configuration information of the sensor.

SensorFlowFeatureConfig of type(s) application/json
Required  

Show optional properties

{
    "sensor_ids": [
        {}
    ]
}
{
    "sensor_ids": [
        "8c147e21-7410-4f77-a3a6-e7aa6034992f",
        "aaaabbbb-cccc-1234-89ab-426614174001"
    ]
}
array of string
sensor_ids
Required  
Constraints: minItems: 1 maxItems: 25

Specifies the sensor ids for which the feaure should be enabled or disabled.

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns SensorFlowFeatureConfigResponse of type(s) application/json
{
    "enabled": true,
    "failed_sensor_ids": [
        "aaaabbbb-cccc-1234-89ab-426614174001"
    ],
    "successful_sensor_ids": [
        "8c147e21-7410-4f77-a3a6-e7aa6034992f"
    ]
}
boolean
enabled
Optional
Constraints: default: true

Specifies whether this feature is enabled. Default is true.

array of string
successful_sensor_ids
Optional
Constraints: minItems: 1 maxItems: 25

Specifies the sensor IDs for which the update is successful.

array of string
failed_sensor_ids
Optional

Specifies the sensor IDs for which update feature has failed.


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "sensor",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    ["platform-sensor-lic"]
                
Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"sensor_ids":["string"]}' https://{api_host}/sensors/feature-config/flow-events